## twatch 0.0.7

=== Makefile ===
############################################################################
#
# Makefile for TWatch. 
# Get progect from svn, create source code archive, generate documentation
# and build deb package.
#
# Simple create directory "twatch"
# copy this file in it
# and execute: make all
#
############################################################################

VERSION = $(shell grep -P "^[$$]VERSION" twatch | sed "s~[^[:digit:].]~~g")
SVN = http://svn.twatch.rshadow.ru/trunk/

# Make new release from local path (deb package and files for mainteiner)
.PHONY: all
all:
	@echo "*** Full build from local ***"
	@make clean
	@make get && make doc && make orig && make build

# Get source from local path (prepare to make deb package)
.PHONY: get
get:
	@echo "*** Get last from local ***"
	@test -d build || mkdir build
	@cd build/ && svn export ../ twatch-$(VERSION)

# Make new release from svn (deb package and files for mainteiner)
.PHONY: all_svn
all_svn:
	@echo "*** Full build form SVN ***"
	@make clean
	@make get_svn && make doc && make orig && make build
	
# Get source from svn (prepare to make deb package)
.PHONY: get_svn
get_svn:
	@echo "*** Get last from SVN ***"
	@test -d build || mkdir build
	@cd build/ && svn export $(SVN)/twatch/ twatch-$(VERSION)

# Creatre doc in cource directory (prepare to make deb package)
.PHONY: doc
doc:
	@echo "*** Create man pages ***"
	@cd build/ && pod2man twatch-$(VERSION)/twatch > twatch-$(VERSION)/man/twatch.man

# Create orig archive
.PHONY: orig
orig:
	@echo "*** Create sorce archive ***"
	@cd build/ && tar -czvf twatch_$(VERSION).orig.tar.gz twatch-$(VERSION) \
		--exclude twatch-$(VERSION)/debian 

# Create local deb package
.PHONY: build
build:
	@echo "*** Create deb package ***"
	@cd build/ && chmod -R a+x twatch-$(VERSION)/debian/rules
	@cd build/ && cd twatch-$(VERSION) && debuild -sa

# Clear all files in build/ directory
.PHONY: clean
clean:
	@echo "*** Clean all ***"
	@echo "Pause 5 sec. You can stop it by press Ctrl+C..."
	@sleep 5
	@cd build/ && rm -fr ./*twatch*

# Install use Debian package system
.PHONY: install
install:
	@echo "*** Install packages ***"
	@cd build/ && dpkg --install ./*twatch*.deb

# Uninstall use Debian package system
.PHONY: uninstall
uninstall:
	@echo "*** Uninstall packages ***"
	@cd build/ && dpkg --purge twatch libtwatch-perl

# Test source code by scripts in t/ directory
.PHONY: tests	
tests:
	@set -e; find t/ -name '*.t'|while read test; do perl $$test; done

# Send new release to mainteiner via email
.PHONY: mail
mail:
	@echo "New files attached" | \
	@mutt -x -s "New TWatch version $(VERSION)" \
		-a build/twatch_$(VERSION).dsc \
		   build/twatch_$(VERSION).tar.gz \
		   build/twatch_$(VERSION).orig.tar.gz \
		-- dimka@uvw.ru

# Sent to mentors.debian.net
.PHONY: mentors
mentors:
	@cd build/ && dput mentors twatch_$(VERSION)*.changes

# Get source from svn. After usage delete this file because in created twatch
# directory has one and newest.
.PHONY: src
src:
	@echo "*** Get source from svn ***"	
	@svn checkout $(SVN)/twatch/ ./twatch

## twatch 0.0.5

=== debian/changelog ===
twatch (0.0.5-1) unstable; urgency=low

  * Fix mime library depend. (Closes: #602915)
  * New upstream bugfix. (Closes: #602998)

 -- Roman V. Nikolaev <rshadow@rambler.ru>  Tue, 09 Nov 2010 15:21:05 +0300

twatch (0.0.4-1) unstable; urgency=low

  * Initial release. (Closes: #562956)

 -- Roman V. Nikolaev <rshadow@rambler.ru>  Wed, 04 Aug 2010 10:17:02 +0400

=== debian/control ===
Source: twatch
Section: net
Priority: optional
Maintainer: Roman V. Nikolaev <rshadow@rambler.ru>
Build-Depends: cdbs, debhelper (>= 7)
Standards-Version: 3.9.1
Homepage: http://twatch.rshadow.ru/

Package: twatch
Architecture: all
Section: net
Depends: ${misc:Depends}, ${perl:Depends}, libtwatch-perl, logrotate
Suggests: rtorrent
Description: watch torrent trackers and automatically download new torrents
 twatch is a simple and flexible watcher torrent trackers, based on regular
 expressions. It can download new torrent files and information about them by
 customizable filters.

Package: libtwatch-perl
Architecture: all
Section: perl
Depends: ${misc:Depends}, ${perl:Depends}, libxml-simple-perl,
 libwww-mechanize-perl, libmime-lite-perl, libfile-path-perl, libhtml-tree-perl,
 libhtml-treebuilder-xpath-perl, libmime-tools-perl
Description: watch torrent trackers and automatically download new torrents
 twatch is a simple and flexible watcher torrent trackers, based on regular
 expressions. It can download new torrent files and information about them by
 customizable filters.
 .
 This package contains libraries for twatch

## twatch 0.0.7

=== debian/changelog ===
twatch (0.0.7-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 17:28:27 +0100

twatch (0.0.7-1) unstable; urgency=low

  * New upstream bugfix release

 -- Roman V. Nikolaev <rshadow@rambler.ru>  Tue, 25 Jan 2011 13:25:21 +0300

twatch (0.0.6-1) unstable; urgency=low

  * New upstream release
    
 -- Roman V. Nikolaev <rshadow@rambler.ru>  Tue, 18 Jan 2011 11:00:30 +0300

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Section: perl
 Depends: ${misc:Depends}, ${perl:Depends}, libxml-simple-perl,
  libwww-mechanize-perl, libmime-lite-perl, libfile-path-perl, libhtml-tree-perl,
- libhtml-treebuilder-xpath-perl, libmime-tools-perl
+ libhtml-treebuilder-xpath-perl, libmime-tools-perl, libwww-perl
 Description: watch torrent trackers and automatically download new torrents
  twatch is a simple and flexible watcher torrent trackers, based on regular
  expressions. It can download new torrent files and information about them by
